settings.outformat = "pdf";
settings.prc = true; //No interactive 3d
defaultpen(fontsize(10pt));
import three; //load 3d package
import graph3; //load more surfaces
settings.render = 16; // better render

size(5cm,0); //final size of the image
currentprojection = perspective(5,2,2); // For better dynamic

// The plane \Pi
path3 xyplane = path3(box((-1,-1),(1,1)));
draw(surface(xyplane),black+opacity(.2));
draw(xyplane,black);
label("$\Pi$", (1.2,1.2,0));

//The set \Omega
draw(extrude(circle(-Z, r=0.6, normal=Z), axis=2Z), surfacepen=red+opacity(0.4));
label("$\Omega$", (0.9, 0.9, 1), red);

//The intersection
path3 intersection_circle = circle(O, r=0.6, normal=Z);
draw(surface(intersection_circle),blue+opacity(.2));
draw(intersection_circle,blue);
label("$\mathcal{D}_{k_0}$", (0,0.3,0), blue);

// The point k
dot(O);
label("$k_0$", (0,0,0.15)); 
